Package org.opensaml.xmlsec.keyinfo.impl.provider

# Class AbstractKeyInfoProvider

java.lang.Object
org.opensaml.xmlsec.keyinfo.impl.provider.AbstractKeyInfoProvider

All Implemented Interfaces:
  `KeyInfoProvider`

Direct Known Subclasses:
  `AgreementMethodKeyInfoProvider`, `DEREncodedKeyValueProvider`, `DSAKeyValueProvider`, `ECKeyValueProvider`, `InlineX509DataProvider`, `KeyInfoReferenceProvider`, `RSAKeyValueProvider`

public abstract class AbstractKeyInfoProvider extends Object implements KeyInfoProvider
Abstract super class for `KeyInfoProvider` implementations.

## Constructor Summary

Constructors
Constructor
Description
`AbstractKeyInfoProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected KeyInfoCredentialContext`
`buildCredentialContext(KeyInfoResolutionContext kiContext)`
Build a credential context based on the current KeyInfo context, for return in a resolved credential.
`protected Key`
`extractKeyValue(Credential cred)`
Utility method to extract any key that might be present in the specified Credential.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xmlsec.keyinfo.impl.KeyInfoProvider

`handles, process`

## Constructor Details

### AbstractKeyInfoProvider

public AbstractKeyInfoProvider()

## Method Details

### extractKeyValue

@Nullable protected Key extractKeyValue(@Nullable Credential cred)
Utility method to extract any key that might be present in the specified Credential.

Parameters:
  `cred` - the Credential to evaluate
Returns:
  the Key contained in the credential, or null if it does not contain a key.

### buildCredentialContext

@Nullable protected KeyInfoCredentialContext buildCredentialContext(@Nullable KeyInfoResolutionContext kiContext)
Build a credential context based on the current KeyInfo context, for return in a resolved credential.

Parameters:
  `kiContext` - the current KeyInfo resolution context
Returns:
  a new KeyInfo credential context